%define upstream_name    XML-SemanticDiff
%define upstream_version 1.0000

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Default handler class for XML::SemanticDiff
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(XML::Parser)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
XML::SematicDiff provides a way to compare the contents and structure of
two XML documents. By default, it returns a list of hashrefs where each
hashref describes a single difference between the two docs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes META.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Fri Dec 16 2011 shlomif <shlomif> 1.0.0-1.mga2
+ Revision: 182737
- imported package perl-XML-SemanticDiff


* Tue Jun 28 2011 cpan2dist 1.0000-1mga
- initial mageia release, generated with cpan2dist
